Subject: Re: [PATCH] Add configuration variable for sign-off to format-patch

From: Heiko Voigt <[email-masked]>
Date: Tue, 31 Mar 2009 22:43:48 +0200

On Tue, Mar 31, 2009 at 04:04:57PM -0400, Jeff King wrote:
> On Tue, Mar 31, 2009 at 08:50:19PM +0200, Heiko Voigt wrote:
> 
> > If you regularly create patches which require a Signed-off: line you may
> > want to make it your default to add that line. It also helps you not to forget
> > to add the -s/--signoff switch.
> 
> I personally have no problem with such an option, but it has been argued
> against before. E.g.:
> 
>   http://article.gmane.org/gmane.comp.version-control.git/32522
>   http://article.gmane.org/gmane.comp.version-control.git/51780
> 
> There is also some discussion here indicating that it might be accepted:
> 
>   http://article.gmane.org/gmane.comp.version-control.git/103939

I see, it is of course true that you should not just sign off
everything without thinking about it.

However I always read through my messages before sending them and it is
way easier to delete that line than typing/copying it.

I suppose if A changes a patch which originated from B he also needs to
be nice and delete that the sign-off line from B (at least initially).

I don't know but if I am preparing to send a patch and *see* my
signed-off line in the message I am conscious about it! I see this more
as another customization. Some people tend to forget to add the
signed-off and others might tend to forget to delete it. It should be on
you to find out what type you are.

cheers Heiko